import Layout from '@/components/layout'

// 用户分群
const userGroup = [
  /* 首页 */
  { path: '/yhfq', redirect: '/yhfq/albj' },
  { path: '/yhfq/albj', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/albj') },
  { path: '/albj', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/albj') },
  { path: '/yhfq/alfx', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/alfx') },
  { path: '/yhfq/yhqfx', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/yhqfx') }
]

export default [
  { path: '*', redirect: '/yhfq/albj' },
  { path: '/', redirect: '/yhfq/albj' },
  {
    path: '/',
    component: Layout,
    children: [
      /* 首页 */
      // { path: '/index', component: () => import(/* webpackChunkName: "feedback" */ '@/pages/home') },
      /* 修改密码 */
      {
        path: '/account/password',
        component: () => import(/* webpackChunkName: "account" */ '@/pages/account/password')
      },
      {
        path: '/triggerEditor',
        component: () => import(/* webpackChunkName: "triggerEditor" */ '@/pages/triggerEditor/index')
      },
      ...userGroup
    ]
  }
]
